import request from '@/utils/request'

// 获取二级库列表
export function secondaryWarehouseList(query) {
    return request({
      url: '/material/secondaryWarehouse/getList',
      method: 'get',
      params: query
    })
}

// 获取操作记录
export function getOperateList(query) {
    return request({
      url: '/material/secondaryWarehouse/getOperateList',
      method: 'get',
      params: query
    })
}


// 出库/退库操作
export function operate(data) {
  return request({
    url: '/material/secondaryWarehouse/operate',
    method: 'post',
    data
  })
}

// 获取进场、退场、场内库存记录
export function getRecords(query) {
  return request({
    url: '/material/secondaryWarehouse/getRecords',
    method: 'get',
    params: query
  })
}






















